Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.dht
Interface RingPosition<T>

All Superinterfaces:
  java.lang.Comparable<T>

All Known Implementing Classes:
  BigIntegerToken, BytesToken, DecoratedKey, LocalToken, RowPosition, StringToken, Token, Token.KeyBound

    public interface RingPosition<T>

extends java.lang.Comparable<T>

Interface representing a position on the ring. Both Token and DecoratedKey represent a position in the ring, a token being less precise than a DecoratedKey (a token is really a range of keys).

Method Summary
`Token` | `getToken()`
`boolean` | `isMinimum(IPartitioner partitioner)`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getToken

    Token getToken()

### isMinimum

    boolean isMinimum(IPartitioner partitioner)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation